Bug 618302 - [abrt] crash in icewm-xdgmenu-1.2.37-7.fc13: Menu.py:95:__eq__:UnicodeEncodeError: 'ascii' codec can't encode characters in position 5-13: ordinal not in range(128)
[abrt] crash in icewm-xdgmenu-1.2.37-7.fc13: Menu.py:95:__eq__:UnicodeEncodeE...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: icewm (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gilboa Davara
Fedora Extras Quality Assurance
abrt_hash:dbce2bda
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-26 11:33 EDT by Andrey V. Henneberg
Modified: 2011-06-29 08:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.98 KB, text/plain)
2010-07-26 11:33 EDT, Andrey V. Henneberg
no flags Details

  None (edit)
Description Andrey V. Henneberg 2010-07-26 11:33:37 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/icewm-xdg-menu --entire-menu --with-theme-paths --icon-size 16 --theme Bluecurve
comment: .After I have remove the Windows program menu items from ~/.local and from ~/.comfig/menus icewm-xdg-menu became work properly.
component: icewm
executable: /usr/bin/icewm-xdg-menu
kernel: 2.6.33.6-147.fc13.i686.PAE
package: icewm-xdgmenu-1.2.37-7.fc13
reason: Menu.py:95:__eq__:UnicodeEncodeError: 'ascii' codec can't encode characters in position 5-13: ordinal not in range(128)
release: Fedora release 13 (Goddard)

backtrace
-----
Menu.py:95:__eq__:UnicodeEncodeError: 'ascii' codec can't encode characters in position 5-13: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/icewm-xdg-menu", line 126, in <module>
    menu = xdg.Menu.parse()
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 523, in parse
    __parse(doc, filename, tmp["Root"])
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 544, in __parse
    __parseMenu(child, filename, parent)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 698, in __parseMenu
    __parse(child, filename, m)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 593, in __parse
    __parseDefaultMergeDirs(child, filename, parent)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 769, in __parseDefaultMergeDirs
    __parseMergeDir(os.path.join(dir, "menus", basename + "-merged"), child, filename, parent)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 762, in __parseMergeDir
    __mergeFile(os.path.join(value, item), child, parent)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 798, in __mergeFile
    __parse(child,filename,parent)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 544, in __parse
    __parseMenu(child, filename, parent)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 700, in __parseMenu
    parent.addSubmenu(m)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 177, in addSubmenu
    submenu += newmenu
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 86, in __add__
    self.addSubmenu(submenu)
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 176, in addSubmenu
    if submenu == newmenu:
  File "/usr/lib/python2.6/site-packages/xdg/Menu.py", line 95, in __eq__
    if self.Name == str(other):
UnicodeEncodeError: 'ascii' codec can't encode characters in position 5-13: ordinal not in range(128)

Local variables in innermost frame:
self: <xdg.Menu.Menu instance at 0x82a5b0c>
other: <xdg.Menu.Menu instance at 0x82a0bcc>

How to reproduce
-----
1. Install a Window application with name in Unicode (with cyrillic characters). I had install "Mai.Ru Agent" but any programm with russian name allows reproduce the problem,
2. Start "icewm-xdg-menu --entire-menu --with-theme-paths --icon-size 16 --theme Bluecurve"
3.
Comment 1 Andrey V. Henneberg 2010-07-26 11:33:40 EDT
Created attachment 434450 [details]
File: backtrace
Comment 2 Gilboa Davara 2010-08-01 06:01:20 EDT
Most likely one of you Windows links either contained unicode characters.
I'll see what I can do to fix it. (Or at least gracefully exist instead of crashing)

- Gilboa
Comment 3 Bug Zapper 2011-06-01 08:48:25 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 08:57:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.